{% if occurrence.getOccurrenceAttachments() is empty %}
    <p class="text-center text-secondary pt-3">Zu diesem Vorgang sind keine Dokumente hinterlegt.</p>
{% endif %}

{% for occurrenceAttachment in occurrence.getOccurrenceAttachments() %}
    <div class="col-sm-6 col-md-3">
        <div class="mdc-card mdc-card--outlined">
            <div class="my-card__media mdc-card__media mdc-card__media--16-9">
                <div class="mdc-card__media-content text-center d-flex flex-column">
                    <div class="d-flex align-items-center justify-content-center flex-grow-1">
                        <a href="{{ path('file_download', {'fileUuid': occurrenceAttachment.getFile().getUuid()}) }}">
                            <i class="material-icons display-1">cloud_download</i>
                        </a>
                    </div>
                    <b>{{ occurrenceAttachment.getFile().getFilename() }}</b>
                </div>
            </div>
            <div class="mdc-card__actions"></div>
        </div>
    </div>
{% endfor %}

{% if canUpload == true %}
    <span class="mb-2 mt-4 fs-5">Dokumente hochladen</span>
    {% include 'component/dropzone_upload_component.html.twig' with {
        'idPrefix':  idPrefix ~ 'occurrence_attachment_upload_',
        'uploadUrl': path('person_management_occurrence_attachment_upload', {'occurrenceId': occurrence.getId()}),
        'redirectUrl': redirectUrl
    } only %}
{% endif %}
